操作必须使用可更新的查询原因及解决办法

作者: Robin 分类: 数据库应用 发布时间: 2008-07-04 12:23

操作必须使用一个可更新的查询”原因及解决办法

C# 连接 access 2000数据库.插入是.报错..怎么解决~?  我的Os是windowsXP

是不是要插入,插入是要权限的,你的错误就是没得到它的同意,也就是权限问题!
    打开我的电脑-》工具->文件夹选项-》查看标签页-》把用简单共享的勾通去掉!
    回到你数据库所在的文件夹,右键点属性,选安全标签页  ,选中Everyone,  把写入的勾给打上,这样可以了

权限的事,你将数据库中加一个everyone的权限,可以全打上勾

你是用的  DataAdapter.Update 语句插入的吧. 如果你的sql语句中用到了参数查询,或者有统计查询,就会报这个错。  解决方法是在Update时新写一个简单查询的SQL语句,

如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!

发表评论

电子邮件地址不会被公开。 必填项已用*标注

标签云